# Interface Aligner

public interface Aligner
As of 2006-12-06, this interface is not used anywhere in JEBL, and it doesn't have any implementing classes. It is only a proposed future alternative to the existing abstract class Align

Version:
  $Id: Aligner.java 559 2006-12-06 22:20:38Z twobeers $
Author:
  Andrew Rambaut, Alexei Drummond

## Method Summary

Modifier and Type
Method
Description
`void`
`addProgressListener(ProgressListener listener)`
`Alignment`
`alignSequences(Collection<Sequence> sequences)`
`void`
`removeProgressListener(ProgressListener listener)`

## Method Details

### alignSequences

Alignment alignSequences(Collection<Sequence> sequences)

### addProgressListener

void addProgressListener(ProgressListener listener)

### removeProgressListener

void removeProgressListener(ProgressListener listener)